using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

// Demo_DataTemplate
// www.hinzberg.net

namespace Demo_DataTemplate
{
    public partial class Window1 : System.Windows.Window
    {

        ObservableCollection<Person> ocPerson = new ObservableCollection<Person>();
        List<Person> listPerson = new List<Person>();
        
        public Window1()
        {
            InitializeComponent();

            neuButton.Click += new RoutedEventHandler(neuButton_Click);
            loeschenButton.Click += new RoutedEventHandler(loeschenButton_Click);

            //listPerson.Add( new Person(DateTime.Now.ToLongTimeString(),"Max","Mller"));
            //listPerson.Add(new Person(DateTime.Now.ToLongTimeString(), "Fitz", "Fisch"));
            //persListBox.ItemsSource = listPerson;

            ocPerson.Add(new Person(DateTime.Now.ToLongTimeString(), "Max", "Mller"));
            ocPerson.Add(new Person(DateTime.Now.ToLongTimeString(), "Fitz", "Fisch"));
            persListBox.ItemsSource = ocPerson;

            // Sowohl generische List als auch ObservableCollection lassen sich als Datenquelle
            // fr die ListBox benutzen. Aber nur bei Verwenung der ObservableCollection werden
            // nderungen an der Quelle an die Liste bertragen
        }

        void loeschenButton_Click(object sender, RoutedEventArgs e)
        {
            if (ocPerson.Count > 0)
            {
                 ocPerson.RemoveAt(0);   
            }
        }

        void neuButton_Click(object sender, RoutedEventArgs e)
        {
            ocPerson.Add(new Person(DateTime.Now.ToLongTimeString(), "Testeintrag", "Test"));
            //listPerson.Add(new Person(DateTime.Now.ToLongTimeString(), "Testeintrag", "Test"));
        }
    }
}